Get specific company list info
curl --request GET \
--url https://app.tryspecter.com/api/v1/lists/companies/{listId} \
--header 'X-API-Key: <api-key>'import requests
url = "https://app.tryspecter.com/api/v1/lists/companies/{listId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://app.tryspecter.com/api/v1/lists/companies/{listId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "b73c8bed-3b92-48f9-a879-40ee114dca03",
"name": "Favourites",
"created_at": "2024-11-14T10:36:12.625Z",
"updated_at": "2024-11-14T10:36:12.625Z",
"companies": [
{
"company_id": "64f802d8538115f141f2ded5",
"created_at": "2025-01-02T17:29:46.688Z"
}
]
}{
"errorCode": "INVALID_LIST_UUID",
"message": "List id must be a valid UUID."
}{
"errorCode": "API_KEY_MISSING",
"message": "No API Key was presented on the header X-API-KEY"
}{
"errorCode": "NOT_PERMITTED",
"message": "You do not have permission to access this resource."
}{
"errorCode": "<string>",
"message": "<string>"
}{
"errorCode": "<string>",
"message": "<string>"
}Company Lists
Get specific company list info
Returns information about a company list which is created or shared with the API, including the companies that are part of the list.
GET
/
lists
/
companies
/
{listId}
Get specific company list info
Authorizations
Path Parameters
The ID of the list being requested.
Response
The list including company ids
List Id
Example:
"b73c8bed-3b92-48f9-a879-40ee114dca03"
Name of the list
Example:
"Favourites"
Date list was created
Example:
"2024-11-14T10:36:12.625Z"
Date the list was last updated
Example:
"2024-11-14T10:36:12.625Z"
The companies included in this list
Show child attributes
Show child attributes
Was this page helpful?
⌘I